/*
SPDX-FileCopyrightText: 2022 Olivier Charvin

SPDX-License-Identifier: EUPL-1.2+
*/

@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {
  button {
    /* for safari */
    @apply font-normal;
  }
  .pt-safe-area-inset {
    padding-top: env(safe-area-inset-top);
  }
  .pr-safe-area-inset {
    padding-right: env(safe-area-inset-right);
  }
  .pb-safe-area-inset {
    padding-bottom: env(safe-area-inset-bottom);
  }
  .pl-safe-area-inset {
    padding-left: env(safe-area-inset-left);
  }
  a[href^="mailto:"]::before {
    content: "✉️ ";
  }
  a[href^="tel:"]::before {
    content: "📱 ";
  }
  a[href^="tel:"][data-tel="landline"]::before {
    content: "☎️ ";
  }

  .input-field {
    @apply border border-gray-400 rounded text-black px-2 py-1 bg-white;
    appearance: none;
  }
  @screen md {
    .input-field {
      @apply text-lg;
    }
  }

  .input-field:focus:not(.shadow-error) {
    @apply ring;
  }

  .bg-chevron-down,
  select.input-field:not(:disabled) {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" width="20" height="20"><path d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"/></svg>');
    background-position: right center;
    background-repeat: no-repeat;
    /* background: url("./assets/heroicons/solid/chevron-down.svg") no-repeat right */
    @apply pr-6;
  }

  /* custom */
  .button {
    @apply rounded-lg text-lg p-1 px-6 leading-relaxed whitespace-nowrap border-2;
    /* @apply relative; */
    /* border-rot-500 text-rot-600 border-2*/
  }
  .primary-button {
    @apply button;
    @apply border-navy-600 text-white bg-navy-600 hover:bg-navy-700;
  }
  .secondary-button {
    @apply button;
    @apply border-navy-600 text-navy-600 hover:bg-navy-200 leading-tight px-4;
  }
  .danger-button {
    @apply button;
    @apply border-red-700 text-red-700 hover:bg-red-50;
  }

  /* menu-dropdown */
  .menu-dropdown {
    @apply relative hover:bg-navy-700 focus-within:bg-navy-700;
  }
  .menu-dropdown:hover .menu-dropdown-content,
  .menu-dropdown:focus-within .menu-dropdown-content {
    @apply visible shadow-md;
    transform: rotateX(0);
  }

  .menu-dropdown-header {
    @apply py-2 text-white px-3 cursor-default;
    @apply hover:bg-navy-700;
    @apply flex items-center h-full border-navy-700;
  }
  .menu-dropdown-header.-selected {
    @apply bg-navy-700;
  }
  .menu-dropdown-content {
    @apply bg-navy-800 text-white;
    @apply absolute invisible min-w-full transition-transform origin-top whitespace-nowrap z-1000;
    transform: rotateX(-90deg);
  }
  .menu-dropdown-item {
    @apply text-left;
    @apply block px-3 py-2 w-full;
    @apply hover:bg-navy-700 hover:underline;
  }
  .menu-dropdown-item.-selected {
    @apply bg-navy-700;
  }

  /* [data-radio-for="per_person_night"]::before,
  [data-radio-for="per_stay"]::before {
    content: "⚪ ";
  }
  [data-radio="per_person_night"]:checked
    ~ div
    [data-radio-for="per_person_night"]:before,
  [data-radio="per_stay"]:checked ~ div [data-radio-for="per_stay"]:before {
    content: "🔘 ";
  } */

  [data-radio]:valid:not(:checked) + label {
    @apply text-gray-800;
  }

  [data-radio="0"]:not(:checked) ~ div [data-radio-display="0"],
  [data-radio="1"]:not(:checked) ~ div [data-radio-display="1"] {
    @apply hidden;
  }
  .clearfix:after {
    content: "";
    display: table;
    clear: both;
  }
}
